<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (version 1.7.0_79) on Thu Jun 23 07:55:03 CEST 2016 -->
<title>Uses of Class view.Blokus</title>
<meta name="date" content="2016-06-23">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Uses of Class view.Blokus";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../view/Blokus.html" title="class in view">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?view/class-use/Blokus.html" target="_top">Frames</a></li>
<li><a href="Blokus.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class view.Blokus" class="title">Uses of Class<br>view.Blokus</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../view/Blokus.html" title="class in view">Blokus</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#controler">controler</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#view">view</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="controler">
<!--   -->
</a>
<h3>Uses of <a href="../../view/Blokus.html" title="class in view">Blokus</a> in <a href="../../controler/package-summary.html">controler</a></h3>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../controler/package-summary.html">controler</a> with parameters of type <a href="../../view/Blokus.html" title="class in view">Blokus</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">InitialisationOnlineGame.</span><code><strong><a href="../../controler/InitialisationOnlineGame.html#rechercheGame(view.Blokus)">rechercheGame</a></strong>(<a href="../../view/Blokus.html" title="class in view">Blokus</a>&nbsp;blokus)</code>
<div class="block">Search the server and get the gameRule.</div>
</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../controler/package-summary.html">controler</a> with parameters of type <a href="../../view/Blokus.html" title="class in view">Blokus</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><strong><a href="../../controler/Game.html#Game(model.GameRule,%20view.Blokus)">Game</a></strong>(<a href="../../model/GameRule.html" title="class in model">GameRule</a>&nbsp;gr,
    <a href="../../view/Blokus.html" title="class in view">Blokus</a>&nbsp;blokus)</code>
<div class="block">Instantiates a new game.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><strong><a href="../../controler/GameOnline.html#GameOnline(model.GameRuleOnline,%20view.Blokus,%20model.PlayerOnline,%20java.lang.String)">GameOnline</a></strong>(<a href="../../model/GameRuleOnline.html" title="class in model">GameRuleOnline</a>&nbsp;gr,
          <a href="../../view/Blokus.html" title="class in view">Blokus</a>&nbsp;blokus,
          <a href="../../model/PlayerOnline.html" title="class in model">PlayerOnline</a>&nbsp;player,
          java.lang.String&nbsp;host)</code>
<div class="block">Instantiates a new game online.</div>
</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><strong><a href="../../controler/InitialisationOnlineGame.html#InitialisationOnlineGame(view.Blokus,%20model.PlayerOnline[])">InitialisationOnlineGame</a></strong>(<a href="../../view/Blokus.html" title="class in view">Blokus</a>&nbsp;blokus,
                        <a href="../../model/PlayerOnline.html" title="class in model">PlayerOnline</a>[]&nbsp;players)</code>
<div class="block">Create a server who will start a gamerule with the players.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><strong><a href="../../controler/InitialisationOnlineGame.html#InitialisationOnlineGame(view.Blokus,%20java.lang.String)">InitialisationOnlineGame</a></strong>(<a href="../../view/Blokus.html" title="class in view">Blokus</a>&nbsp;blokus,
                        java.lang.String&nbsp;host)</code>
<div class="block">Connect the program to the computer of the name host.</div>
</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><strong><a href="../../controler/ListenerCards.html#ListenerCards(view.Blokus,%20java.lang.String)">ListenerCards</a></strong>(<a href="../../view/Blokus.html" title="class in view">Blokus</a>&nbsp;blokus,
             java.lang.String&nbsp;card)</code>
<div class="block">Instantiates a new listener cards.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><strong><a href="../../controler/ListenerCards.html#ListenerCards(view.Blokus,%20java.lang.String,%20java.lang.String)">ListenerCards</a></strong>(<a href="../../view/Blokus.html" title="class in view">Blokus</a>&nbsp;blokus,
             java.lang.String&nbsp;card,
             java.lang.String&nbsp;icon)</code>
<div class="block">Instantiates a new listener cards with an icon.</div>
</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><strong><a href="../../controler/ListenerStart.html#ListenerStart(view.LinePlayer,%20view.LinePlayer,%20view.LinePlayer,%20view.LinePlayer,%20view.Blokus)">ListenerStart</a></strong>(<a href="../../view/LinePlayer.html" title="class in view">LinePlayer</a>&nbsp;player1,
             <a href="../../view/LinePlayer.html" title="class in view">LinePlayer</a>&nbsp;player2,
             <a href="../../view/LinePlayer.html" title="class in view">LinePlayer</a>&nbsp;player3,
             <a href="../../view/LinePlayer.html" title="class in view">LinePlayer</a>&nbsp;player4,
             <a href="../../view/Blokus.html" title="class in view">Blokus</a>&nbsp;blokus)</code>
<div class="block">Instantiates a new listener start.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><strong><a href="../../controler/ListenerStart.html#ListenerStart(view.LinePlayer,%20view.LinePlayer,%20view.LinePlayer,%20view.LinePlayer,%20view.Parametres,%20view.Blokus)">ListenerStart</a></strong>(<a href="../../view/LinePlayer.html" title="class in view">LinePlayer</a>&nbsp;player1,
             <a href="../../view/LinePlayer.html" title="class in view">LinePlayer</a>&nbsp;player2,
             <a href="../../view/LinePlayer.html" title="class in view">LinePlayer</a>&nbsp;player3,
             <a href="../../view/LinePlayer.html" title="class in view">LinePlayer</a>&nbsp;player4,
             <a href="../../view/Parametres.html" title="class in view">Parametres</a>&nbsp;parametres,
             <a href="../../view/Blokus.html" title="class in view">Blokus</a>&nbsp;blokus)</code>
<div class="block">Instantiates a new listener start.</div>
</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><strong><a href="../../controler/ListenerStartOnline.html#ListenerStartOnline(view.LinePlayer,%20view.LinePlayer,%20view.LinePlayer,%20view.LinePlayer,%20view.Blokus)">ListenerStartOnline</a></strong>(<a href="../../view/LinePlayer.html" title="class in view">LinePlayer</a>&nbsp;player1,
                   <a href="../../view/LinePlayer.html" title="class in view">LinePlayer</a>&nbsp;player2,
                   <a href="../../view/LinePlayer.html" title="class in view">LinePlayer</a>&nbsp;player3,
                   <a href="../../view/LinePlayer.html" title="class in view">LinePlayer</a>&nbsp;player4,
                   <a href="../../view/Blokus.html" title="class in view">Blokus</a>&nbsp;blokus)</code>
<div class="block">Instantiates a new listener start online.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><strong><a href="../../controler/MainButtonListener.html#MainButtonListener(view.Blokus)">MainButtonListener</a></strong>(<a href="../../view/Blokus.html" title="class in view">Blokus</a>&nbsp;blokus)</code>
<div class="block">Instantiates a new mainButtonListener.</div>
</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><strong><a href="../../controler/MainButtonListener.html#MainButtonListener(view.Blokus,%20controler.Game)">MainButtonListener</a></strong>(<a href="../../view/Blokus.html" title="class in view">Blokus</a>&nbsp;blokus,
                  <a href="../../controler/Game.html" title="class in controler">Game</a>&nbsp;game)</code>
<div class="block">Instantiates a new mainButtonListener.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><strong><a href="../../controler/PieceListener.html#PieceListener(view.Blokus,%20controler.Game)">PieceListener</a></strong>(<a href="../../view/Blokus.html" title="class in view">Blokus</a>&nbsp;blokus,
             <a href="../../controler/Game.html" title="class in controler">Game</a>&nbsp;game)</code>
<div class="block">Instantiates a new piece listener.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="view">
<!--   -->
</a>
<h3>Uses of <a href="../../view/Blokus.html" title="class in view">Blokus</a> in <a href="../../view/package-summary.html">view</a></h3>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../view/package-summary.html">view</a> that return <a href="../../view/Blokus.html" title="class in view">Blokus</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../view/Blokus.html" title="class in view">Blokus</a></code></td>
<td class="colLast"><span class="strong">PlayerZone.</span><code><strong><a href="../../view/PlayerZone.html#getBlokus()">getBlokus</a></strong>()</code>
<div class="block">Gets the blokus.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../view/Blokus.html" title="class in view">Blokus</a></code></td>
<td class="colLast"><span class="strong">MenuPiece.</span><code><strong><a href="../../view/MenuPiece.html#getBlokus()">getBlokus</a></strong>()</code>
<div class="block">Get Blokus.</div>
</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../view/package-summary.html">view</a> with parameters of type <a href="../../view/Blokus.html" title="class in view">Blokus</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><strong><a href="../../view/Aide.html#Aide(view.Blokus)">Aide</a></strong>(<a href="../../view/Blokus.html" title="class in view">Blokus</a>&nbsp;blokus)</code>
<div class="block">Instantiates a new aide panel.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><strong><a href="../../view/MainMenu.html#MainMenu(view.Blokus)">MainMenu</a></strong>(<a href="../../view/Blokus.html" title="class in view">Blokus</a>&nbsp;blokus)</code>
<div class="block">Instantiates a new main menu.</div>
</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><strong><a href="../../view/MenuCreation.html#MenuCreation(view.Blokus,%20view.Parametres,%20boolean)">MenuCreation</a></strong>(<a href="../../view/Blokus.html" title="class in view">Blokus</a>&nbsp;blokus,
            <a href="../../view/Parametres.html" title="class in view">Parametres</a>&nbsp;parametres,
            boolean&nbsp;online)</code>
<div class="block">Instantiates a new menu creation.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><strong><a href="../../view/MenuLan.html#MenuLan(view.Blokus)">MenuLan</a></strong>(<a href="../../view/Blokus.html" title="class in view">Blokus</a>&nbsp;blokus)</code>
<div class="block">Instantiates a new menuLan.</div>
</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><strong><a href="../../view/MenuPiece.html#MenuPiece(view.Blokus)">MenuPiece</a></strong>(<a href="../../view/Blokus.html" title="class in view">Blokus</a>&nbsp;blokus)</code>
<div class="block">Instantiates a new menu piece.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><strong><a href="../../view/Parametres.html#Parametres(view.Blokus)">Parametres</a></strong>(<a href="../../view/Blokus.html" title="class in view">Blokus</a>&nbsp;blokus)</code>
<div class="block">Instantiates a new parametres menu.</div>
</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><strong><a href="../../view/PlayerZone.html#PlayerZone(model.Player,%20controler.Game,%20view.Blokus)">PlayerZone</a></strong>(<a href="../../model/Player.html" title="class in model">Player</a>&nbsp;p,
          <a href="../../controler/Game.html" title="class in controler">Game</a>&nbsp;game,
          <a href="../../view/Blokus.html" title="class in view">Blokus</a>&nbsp;blokus)</code>
<div class="block">Instantiates a new player zone.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><strong><a href="../../view/ViewGame.html#ViewGame(view.Blokus,%20controler.Game)">ViewGame</a></strong>(<a href="../../view/Blokus.html" title="class in view">Blokus</a>&nbsp;blokus,
        <a href="../../controler/Game.html" title="class in controler">Game</a>&nbsp;game)</code>
<div class="block">Instantiates a new view game.</div>
</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><strong><a href="../../view/ViewGame.html#ViewGame(view.Blokus,%20controler.Game,%20boolean)">ViewGame</a></strong>(<a href="../../view/Blokus.html" title="class in view">Blokus</a>&nbsp;blokus,
        <a href="../../controler/Game.html" title="class in controler">Game</a>&nbsp;game,
        boolean&nbsp;cursor)</code>
<div class="block">Instantiates a new view game.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><strong><a href="../../view/ZoneInformation.html#ZoneInformation(view.Blokus,%20controler.Game)">ZoneInformation</a></strong>(<a href="../../view/Blokus.html" title="class in view">Blokus</a>&nbsp;blokus,
               <a href="../../controler/Game.html" title="class in controler">Game</a>&nbsp;game)</code>
<div class="block">Instantiates a new zone information.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../view/Blokus.html" title="class in view">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?view/class-use/Blokus.html" target="_top">Frames</a></li>
<li><a href="Blokus.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
